import { ApolloServer } from '@apollo/server';
import { LightMyRequestResponse, InjectOptions } from 'fastify';
import { DocumentNode } from 'graphql';
export type StringOrAst = string | DocumentNode;
export type TestClientConfig = {
    apolloServer: ApolloServer;
    requestOptions?: InjectOptions;
};
export type SetOptionsFn = (options: {
    requestOptions?: InjectOptions;
}) => void;
type Query = {
    query: StringOrAst;
    mutation?: undefined;
    variables?: {
        [name: string]: any;
    };
    operationName?: string;
};
type Mutation = {
    mutation: StringOrAst;
    query?: undefined;
    variables?: {
        [name: string]: any;
    };
    operationName?: string;
};
export interface ApolloServerTestClient {
    query: (query: Query) => Promise<LightMyRequestResponse>;
    mutate: (mutation: Mutation) => Promise<LightMyRequestResponse>;
    setOptions: SetOptionsFn;
}
export declare function createTestClient({ apolloServer, requestOptions, }: TestClientConfig): Promise<ApolloServerTestClient>;
export {};
